Loading...
Searching...
No Matches
pdftron::PDF::MergeXFDFOptions Class Reference

`#include <MergeXFDFOptions.h>`

Inheritance diagram for pdftron::PDF::MergeXFDFOptions:

## Public Member Functions
| MergeXFDFOptions ()
| ~MergeXFDFOptions ()
bool | GetForce ()
MergeXFDFOptions & | SetForce (bool value)
bool | GetUseNonStandardRotation ()
MergeXFDFOptions & | SetUseNonStandardRotation (bool value)
Public Member Functions inherited from pdftron::PDF::OptionsBase
| OptionsBase ()

## Additional Inherited Members
Static Public Member Functions inherited from pdftron::PDF::OptionsBase
static SDF::Obj | GetArray (SDF::Obj dict, const char *key)
static void | PutNumber (SDF::Obj dict, const char *key, double num)
static void | PutBool (SDF::Obj dict, const char *key, bool val)
static void | PutText (SDF::Obj dict, const char *key, const UString &text)
static void | PutRect (SDF::Obj dict, const char *key, const Rect &rect)
static void | PushBackNumber (SDF::Obj dict, const char *key, double num)
static void | PushBackBool (SDF::Obj dict, const char *key, bool val)
static void | PushBackText (SDF::Obj dict, const char *key, const UString &text)
static void | PushBackRect (SDF::Obj dict, const char *key, const Rect &rect)
static Rect | RectFromArray (SDF::Obj nums)
static void | InsertRectCollection (SDF::Obj dict, const char *key, const RectCollection &rects, int index)
static Rect | RectFromArray (void *)
static double | ColorPtToNumber (const ColorPt &cp)
static ColorPt | ColorPtFromNumber (double dnum)

## Detailed Description

Definition at line 9 of file MergeXFDFOptions.h.

## Constructor & Destructor Documentation

## ◆ MergeXFDFOptions()

pdftron::PDF::MergeXFDFOptions::MergeXFDFOptions | ( |  | ) |

## ◆ ~MergeXFDFOptions()

pdftron::PDF::MergeXFDFOptions::~MergeXFDFOptions | ( |  | ) |

## Member Function Documentation

## ◆ GetForce()

bool pdftron::PDF::MergeXFDFOptions::GetForce | ( |  | ) |

Gets the value Force from the options object. If true, merge will be performed even if the conditions below are true. If false, the MergeXFDF operation will be aborted with exception if one of these conditions is true: 1)xfdf contains annotations with no 'name' attribute 2)annotations in pdf or xfdf have names that are not unique, i.e. multiple annotations in the same document have the same name. In order for the merge operation to work correctly, all the annotations in xfdf need to have a unique 'name' attribute. If pdf document has unnamed annotatations (no 'NM' attribute), xfdf files generated using Apryse SDK will still have names that will allow the MergeXFDF algorithm to work.

Returns
  The current value for Force.

## ◆ GetUseNonStandardRotation()

bool pdftron::PDF::MergeXFDFOptions::GetUseNonStandardRotation | ( |  | ) |

Gets the value UseNonStandardRotation from the options object. Whether we should use rotation in the annotation even if it is not a multiple of 90. Off by default.

Returns
  The current value for UseNonStandardRotation.

## ◆ SetForce()

MergeXFDFOptions & pdftron::PDF::MergeXFDFOptions::SetForce | ( | bool | value | ) |

Sets the value for Force in the options object. If true, merge will be performed even if the conditions below are true. If false, the MergeXFDF operation will be aborted with exception if one of these conditions is true: 1)xfdf contains annotations with no 'name' attribute 2)annotations in pdf or xfdf have names that are not unique, i.e. multiple annotations in the same document have the same name. In order for the merge operation to work correctly, all the annotations in xfdf need to have a unique 'name' attribute. If pdf document has unnamed annotatations (no 'NM' attribute), xfdf files generated using Apryse SDK will still have names that will allow the MergeXFDF algorithm to work.

Parameters

  value | The new value for Force.

Returns
  This object, for call chaining.

## ◆ SetUseNonStandardRotation()

MergeXFDFOptions & pdftron::PDF::MergeXFDFOptions::SetUseNonStandardRotation | ( | bool | value | ) |

Sets the value for UseNonStandardRotation in the options object. Whether we should use rotation in the annotation even if it is not a multiple of 90. Off by default.

Parameters

  value | The new value for UseNonStandardRotation.

Returns
  This object, for call chaining.

The documentation for this class was generated from the following file:

- PDF/MergeXFDFOptions.h